Summary: A library for handling different graphics file formats.
Name: netpbm
Version: 10.30
Release: 2tr
License: freeware
Group: Trustix Official
URL: http://netpbm.sourceforge.net
Source: %{name}-%{version}.tgz
Source1: %{name}-docs-%{version}.tar.bz2
Patch0: netpbm-10.30-badlink.patch
Patch1: netpbm-10.22-cmapsize.patch
Patch2: netpbm-pamtofits.patch
Buildroot: /var/tmp/%{name}-root
BuildPrereq: libjpeg-devel, libpng-devel, libtiff-devel, perl

%description
The netpbm package contains a library of functions which support
programs for handling various graphics file formats, including .pbm
(portable bitmaps), .pgm (portable graymaps), .pnm (portable anymaps),
.ppm (portable pixmaps) and others.

%package devel
Summary: Development tools for programs which will use the netpbm libraries.
Group: Trustix Official
Requires: netpbm = %{version}-%{release}

%description devel
The netpbm-devel package contains the header files and static libraries,
etc., for developing programs which can handle the various graphics file
formats supported by the netpbm libraries.

Install netpbm-devel if you want to develop programs for handling the
graphics file formats supported by the netpbm libraries.  You'll also need
to have the netpbm package installed.

%package progs
Summary: Tools for manipulating graphics files in netpbm supported formats.
Group: Trustix Official
Requires: netpbm = %{version}-%{release}

%description progs 
The netpbm-tools package contains a group of scripts for manipulating the
graphics files in formats which are supported by the netpbm libraries.  For
example, netpbm-progs includes the rasttopnm script, which will convert a
Sun rasterfile into a portable anymap.  Netpbm-progs contains many other
scripts for converting from one graphics file format to another.

If you need to use these conversion scripts, you should install
netpbm-tools.  You'll also need to install the netpbm package.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
./configure <<EOF
















EOF
TOP=`pwd`
make \
	CFLAGS="$RPM_OPT_FLAGS" \
	LDFLAGS="-L$TOP/pbm -L$TOP/pgm -L$TOP/pnm -L$TOP/ppm" \
	JPEGINC_DIR=%{_includedir} \
	PNGINC_DIR=%{_includedir} \
	TIFFINC_DIR=%{_includedir} \
	JPEGLIB_DIR=%{_libdir} \
	PNGLIB_DIR=%{_libdir} \
	TIFFLIB_DIR=%{_libdir} 


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make package pkgdir=$RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT%{_mandir}

cp -af lib/libnetpbm.a $RPM_BUILD_ROOT%{_libdir}/libnetpbm.a
ln -sf libnetpbm.so.10 $RPM_BUILD_ROOT%{_libdir}/libnetpbm.so

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}


# Don't ship man packages for non-existent binaries
for i in hpcdtoppm.1 pcdovtoppm.1 pnmtojbig.1 \
	 ppmsvgalib.1 vidtoppm.1 picttoppm.1; do
	rm -f $RPM_BUILD_ROOT%{_mandir}/man1/${i}
done

mv $RPM_BUILD_ROOT/usr/misc/*.map $RPM_BUILD_ROOT%{_libdir}
rm -rf $RPM_BUILD_ROOT/usr/README
rm -rf $RPM_BUILD_ROOT/usr/VERSION
rm -rf $RPM_BUILD_ROOT/usr/link
rm -rf $RPM_BUILD_ROOT/usr/misc
rm -rf $RPM_BUILD_ROOT/usr/man
rm -rf $RPM_BUILD_ROOT/usr/pkginfo
rm -rf $RPM_BUILD_ROOT/usr/config_template



%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)
%doc doc/COPYRIGHT.PATENT doc/GPL_LICENSE.txt doc/HISTORY README
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,0755)
%{_includedir}/*.h
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_mandir}/man3/*

%files progs 
%defattr(-,root,root,0755)
%{_bindir}/*
%{_libdir}/*.map
%{_mandir}/man1/*
%{_mandir}/man5/*

%changelog
* Thu Jun 22 2006 Nived Gopalan <nived at trustix dot org> 10.30-2tr
- SECURITY Fix: A vulnerability has been reported in NetPBM, caused due
  to an off-by-one boundary error within "pamtofits". This can be 
  exploited to cause a single byte buffer overflow when processing
  a specially crafted input file.

* Fri Oct 21 2005 Nived Gopalan <nived at comodo dot com> 10.30-1tr
- New upstream. 
- SECURITY Fix: Bastien Nocera has reported a vulnerability in NetPBM, 
  which potentially can be exploited by malicious people to cause a DoS.
  The vulnerability is caused due to the use of uninitialised variables by 
  "pnmtopng" in the "closestColorInPalette()" function.

  The Common Vulnerabilities and Exposures project has assigned the
  name CAN-2005-2978 to this issue.

* Tue Jul 26 2005 Hasher Jamaludeen <hasher at comodo dot com> 10.27-4tr
- Security Fix: Max Vozeler has reported a vulnerability in netpbm, which
  can be exploited by malicious people to compromise a vulnerable system.

  The vulnerability is caused due to pstopnm not using the "-dSAFER" option
  when calling GhostScript to convert a PostScript file into a PBM, PGM, or 
  PNM file. This allows a malicious PostScript file to execute arbitrary 
  commands on a vulnerable system.

* Mon Apr 11 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 10.27-2tr
- Fixed Permission Bug { Bugzilla Bug ID #240 }

* Fri Apr 01 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 10.27-1tr
- Initial Spec for TSL-3.0
